<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cn.fdapfe.biz.mapper.FaultPhysicalModelMapper">
    
    <resultMap type="com.cn.fdapfe.biz.domain.FaultPhysicalModel" id="FaultPhysicalModelResult">
        <result property="modelId"    column="model_id"    />
        <result property="modelName"    column="model_name"    />
        <result property="modelType"    column="model_type"    />
        <result property="modelPath"    column="model_path"    />
        <result property="modelAttribution"    column="model_attribution"    />
        <result property="remark"    column="remark"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>

    <sql id="selectFaultPhysicalModelVo">
        select model_id, model_name, model_type, model_path, remark, create_by, create_time, update_by, update_time,model_attribution from biz_fault_physical_model
    </sql>


    <select id="getOptions" resultMap="FaultPhysicalModelResult">
        select * from biz_fault_model_t
        <where>
            <if test="typs != null and typs != ''">
                model_attribution = #{typs}
            </if>
        </where>
        order by create_time desc
    </select>
</mapper>